uniform sampler2D	texture_unit : register(s1);
uniform sampler2D	texture_unit2 : register(s0);

float4 main(float4 position : TEXCOORD0) : COLOR0
{
	float4 mask_c = tex2D(texture_unit, position.xy);
	float4 render_c = tex2D(texture_unit2, position.xy);
	
	return float4(render_c.rgb, mask_c.a);
}